.log-table {
  border-collapse: collapse;
  width: 100%;
}

.log-table td, th {
  border: 1px solid #ddd;
  padding: 8px;
}

.log-table tr:nth-child(even){background-color: #f2f2f2;}

.log-table tr:hover {background-color: #ddd;}

.log-table td {
  text-align: left;
  font-size: 12px;
  vertical-align: top;
}

.control-panel {
  width: 100%;
  height: 21vw;
}

.log-panel {
  width: 100%;
  height: 21vw;
}

.shield {
  width: 36%;
  float: left;
  text-align: center;
}

.shield img {
  width: 90%;
  padding-top: 15%;
  height: auto;
}

.gold-img {
  content: url("../../../../../assets/images/gold.png");
}

.worker-img-p1 {
  content: url("../../../../../assets/images/worker1.png");
}

.worker-img-p2 {
  content: url("../../../../../assets/images/worker2.png");
}

.warrior-img-p1 {
  content: url("../../../../../assets/images/warrior1.png");
}

.warrior-img-p2 {
  content: url("../../../../../assets/images/warrior2.png");
}

.archer-img-p1 {
  content: url("../../../../../assets/images/archer1.png");
}

.archer-img-p2 {
  content: url("../../../../../assets/images/archer2.png");
}

.horse-img-p1 {
  content: url("../../../../../assets/images/horse1.png");
}

.horse-img-p2 {
  content: url("../../../../../assets/images/horse2.png");
}

.stat1 {
  width: 90%;
  margin-left: 10%;
  margin-top: 3%;
  margin-bottom: 3%;
  text-align: left;
  vertical-align: middle;
  border-bottom: 1px solid #ddd;
}

.stat2 {
  width: 90%;
  margin-right: 10%;
  margin-top: 3%;
  margin-bottom: 3%;
  text-align: right;
  vertical-align: middle;
  border-bottom: 1px solid #ddd;
}

.stat1 span {
  margin-left: 5%;
  font-size: 0.9em;
  font-weight: 600;
}

.stat2 span {
  margin-right: 5%;
  font-size: 0.9em;
  font-weight: 600;
}

.stat1 img {
  width: 20px;
  height: 20px;
  vertical-align: middle;
}

.stat2 img {
  width: 20px;
  height: 20px;
  vertical-align: middle;
}

.player-header-left {
  position: relative;
  width: 100%;
  text-align: left;
  font-size: 1.2em;
  font-weight: 600;
  border-bottom: 1px solid #ddd;
}

.player-header-right {
  position: relative;
  width: 100%;
  text-align: right;
  font-size: 1.2em;
  font-weight: 600;
  border-bottom: 1px solid #ddd;
}

.statistic {
  position: relative;
  width: 90%;
  height: 40%;
  margin: 2% 5% 5%;
}

.active-player {
  position: relative;
  width: 50%;
  float: left;
  animation: opa-rev 1s;
}

.inactive-player {
  position: relative;
  width: 50%;
  float: left;
  animation: opa 1s;
  opacity: 0.7;
}

@keyframes opa {
  0% {
    opacity: 1;
  }
  100% {
    opacity: 0.7;
  }
}

@keyframes opa-rev {
  0% {
    opacity: 0.7;
  }
  100% {
    opacity: 1;
  }
}
